Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class ConnectionPoolManagerFactory

    java.lang.Object
      |
      +--oracle.jbo.server.ConnectionPoolManagerFactory

public class ConnectionPoolManagerFactory
extends java.lang.Object

A factory for creating instances of the designated `ConnectionPoolManager` implementation. This factory returns an instance of the `ConnectionPoolManager` class that is declared in the Business Components for Java property, `jbo.ConnectionPoolManager`.

Business Components for Java provides a default connection pool manager, `ConnectionPoolManagerImpl`, that will be loaded if a custom connection pool manager has not been specified. As an example, here is a source file for ConnectionPoolManagerImpl.

The connection pool manager reference in the connection pool factory is a static, singleton. Resetting the connection pool manager after it has been initialized is currently not supported.

See Also:
  `ConnectionPoolManager`

Method Summary
`static ConnectionPoolManager` | `getConnectionPoolManager()` Creates instances of a designated implementation of the `ConnectionPoolManager` interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getConnectionPoolManager

    public static ConnectionPoolManager getConnectionPoolManager()

  Creates instances of a designated implementation of the `ConnectionPoolManager` interface.

  For example:

         // Get a connection pool manager instance
         // from the connection pool manager factory
            ConnectionPoolManager connectionPoolManager =
            ConnectionPoolManagerFactory.getConnectionPoolManager();

  One implementation of `ConnectionPoolManager` is provided in this package, the source file ConnectionPoolManagerImpl. This user-defined implementation, can be specified by setting the `jbo.ConnectionPoolManager` property in the `jboserver.properties` file or `-Djbo.ConnectionPoolManager` in the JDeveloper IDE.

  Returns:
    instances of a connection pool manager object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD